Package org.apache.felix.http.base.internal.registry

## Class ErrorPageRegistry.ErrorRegistration

- java.lang.Object
- - org.apache.felix.http.base.internal.registry.ErrorPageRegistry.ErrorRegistration

Enclosing class:
  ErrorPageRegistry

    public static final class ErrorPageRegistry.ErrorRegistration
    extends Object

### Field Summary

Fields
`long[]` `errorCodes`
`String[]` `exceptions`

### Constructor Summary

Constructors
`ErrorRegistration​(long[] errorCodes, String[] exceptions)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### errorCodes

    public final long[] errorCodes

#### exceptions

    public final String[] exceptions

### Constructor Detail

#### ErrorRegistration

    public ErrorRegistration​(long[] errorCodes,
                             String[] exceptions)